petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASSetLevels

Sets the number of levels to use with FAS. Must be called before any other FAS routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetLevels(SNES snes, PetscInt levels, MPI_Comm * comms)

### Input Parameters

| snes | - the snes context
| levels | - the number of levels
| comms | - optional communicators for each level; this is to allow solving the coarser problems on smaller sets of processors.

### Notes

If the number of levels is one then the multigrid uses the -fas_levels prefix for setting the level options rather than the -fas_coarse prefix.

### Keywords

FAS, MG, set, levels, multigrid

### See Also

SNESFASGetLevels()

### Level

intermediate

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages